
From: Alexey Dobriyan <adobriyan@gmail.com>

tty_register_ldisc(N_FOO, NULL) => tty_unregister_ldisc(N_FOO)

Signed-off-by: Alexey Dobriyan <adobriyan@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/bluetooth/hci_ldisc.c |    2 +-
 drivers/char/n_hdlc.c         |    2 +-
 drivers/char/n_r3964.c        |    2 +-
 drivers/input/serio/serport.c |    2 +-
 drivers/net/hamradio/6pack.c  |    2 +-
 drivers/net/hamradio/mkiss.c  |    2 +-
 drivers/net/irda/irtty-sir.c  |    2 +-
 drivers/net/ppp_async.c       |    2 +-
 drivers/net/ppp_synctty.c     |    2 +-
 drivers/net/slip.c            |    2 +-
 drivers/net/wan/x25_asy.c     |    2 +-
 drivers/net/wireless/strip.c  |    2 +-
 12 files changed, 12 insertions(+), 12 deletions(-)

diff -puN drivers/bluetooth/hci_ldisc.c~convert-users-to-tty_unregister_ldisc drivers/bluetooth/hci_ldisc.c
--- 25/drivers/bluetooth/hci_ldisc.c~convert-users-to-tty_unregister_ldisc	2005-06-15 14:42:37.000000000 -0700
+++ 25-akpm/drivers/bluetooth/hci_ldisc.c	2005-06-15 14:42:37.000000000 -0700
@@ -576,7 +576,7 @@ static void __exit hci_uart_exit(void)
 #endif
 
 	/* Release tty registration of line discipline */
-	if ((err = tty_register_ldisc(N_HCI, NULL)))
+	if ((err = tty_unregister_ldisc(N_HCI)))
 		BT_ERR("Can't unregister HCI line discipline (%d)", err);
 }
 
diff -puN drivers/char/n_hdlc.c~convert-users-to-tty_unregister_ldisc drivers/char/n_hdlc.c
--- 25/drivers/char/n_hdlc.c~convert-users-to-tty_unregister_ldisc	2005-06-15 14:42:37.000000000 -0700
+++ 25-akpm/drivers/char/n_hdlc.c	2005-06-15 14:42:37.000000000 -0700
@@ -960,7 +960,7 @@ static char hdlc_unregister_fail[] __exi
 static void __exit n_hdlc_exit(void)
 {
 	/* Release tty registration of line discipline */
-	int status = tty_register_ldisc(N_HDLC, NULL);
+	int status = tty_unregister_ldisc(N_HDLC);
 
 	if (status)
 		printk(hdlc_unregister_fail, status);
diff -puN drivers/char/n_r3964.c~convert-users-to-tty_unregister_ldisc drivers/char/n_r3964.c
--- 25/drivers/char/n_r3964.c~convert-users-to-tty_unregister_ldisc	2005-06-15 14:42:37.000000000 -0700
+++ 25-akpm/drivers/char/n_r3964.c	2005-06-15 14:42:37.000000000 -0700
@@ -200,7 +200,7 @@ static void __exit r3964_exit(void)
    
    TRACE_M ("cleanup_module()");
 
-   status=tty_register_ldisc(N_R3964, NULL);
+   status=tty_unregister_ldisc(N_R3964);
    
    if(status!=0)
    {
diff -puN drivers/input/serio/serport.c~convert-users-to-tty_unregister_ldisc drivers/input/serio/serport.c
--- 25/drivers/input/serio/serport.c~convert-users-to-tty_unregister_ldisc	2005-06-15 14:42:37.000000000 -0700
+++ 25-akpm/drivers/input/serio/serport.c	2005-06-15 14:42:37.000000000 -0700
@@ -257,7 +257,7 @@ static int __init serport_init(void)
 
 static void __exit serport_exit(void)
 {
-	tty_register_ldisc(N_MOUSE, NULL);
+	tty_unregister_ldisc(N_MOUSE);
 }
 
 module_init(serport_init);
diff -puN drivers/net/hamradio/6pack.c~convert-users-to-tty_unregister_ldisc drivers/net/hamradio/6pack.c
--- 25/drivers/net/hamradio/6pack.c~convert-users-to-tty_unregister_ldisc	2005-06-15 14:42:37.000000000 -0700
+++ 25-akpm/drivers/net/hamradio/6pack.c	2005-06-15 14:42:37.000000000 -0700
@@ -848,7 +848,7 @@ static void __exit sixpack_exit_driver(v
 {
 	int ret;
 
-	if ((ret = tty_register_ldisc(N_6PACK, NULL)))
+	if ((ret = tty_unregister_ldisc(N_6PACK)))
 		printk(msg_unregfail, ret);
 }
 
diff -puN drivers/net/hamradio/mkiss.c~convert-users-to-tty_unregister_ldisc drivers/net/hamradio/mkiss.c
--- 25/drivers/net/hamradio/mkiss.c~convert-users-to-tty_unregister_ldisc	2005-06-15 14:42:37.000000000 -0700
+++ 25-akpm/drivers/net/hamradio/mkiss.c	2005-06-15 14:42:37.000000000 -0700
@@ -934,7 +934,7 @@ static void __exit mkiss_exit_driver(voi
 	kfree(ax25_ctrls);
 	ax25_ctrls = NULL;
 
-	if ((i = tty_register_ldisc(N_AX25, NULL)))
+	if ((i = tty_unregister_ldisc(N_AX25)))
 		printk(KERN_ERR "mkiss: can't unregister line discipline (err = %d)\n", i);
 }
 
diff -puN drivers/net/irda/irtty-sir.c~convert-users-to-tty_unregister_ldisc drivers/net/irda/irtty-sir.c
--- 25/drivers/net/irda/irtty-sir.c~convert-users-to-tty_unregister_ldisc	2005-06-15 14:42:37.000000000 -0700
+++ 25-akpm/drivers/net/irda/irtty-sir.c	2005-06-15 14:42:37.000000000 -0700
@@ -626,7 +626,7 @@ static void __exit irtty_sir_cleanup(voi
 {
 	int err;
 
-	if ((err = tty_register_ldisc(N_IRDA, NULL))) {
+	if ((err = tty_unregister_ldisc(N_IRDA))) {
 		IRDA_ERROR("%s(), can't unregister line discipline (err = %d)\n",
 			   __FUNCTION__, err);
 	}
diff -puN drivers/net/ppp_async.c~convert-users-to-tty_unregister_ldisc drivers/net/ppp_async.c
--- 25/drivers/net/ppp_async.c~convert-users-to-tty_unregister_ldisc	2005-06-15 14:42:37.000000000 -0700
+++ 25-akpm/drivers/net/ppp_async.c	2005-06-15 14:42:37.000000000 -0700
@@ -1040,7 +1040,7 @@ static void async_lcp_peek(struct asyncp
 
 static void __exit ppp_async_cleanup(void)
 {
-	if (tty_register_ldisc(N_PPP, NULL) != 0)
+	if (tty_unregister_ldisc(N_PPP) != 0)
 		printk(KERN_ERR "failed to unregister PPP line discipline\n");
 }
 
diff -puN drivers/net/ppp_synctty.c~convert-users-to-tty_unregister_ldisc drivers/net/ppp_synctty.c
--- 25/drivers/net/ppp_synctty.c~convert-users-to-tty_unregister_ldisc	2005-06-15 14:42:37.000000000 -0700
+++ 25-akpm/drivers/net/ppp_synctty.c	2005-06-15 14:42:37.000000000 -0700
@@ -793,7 +793,7 @@ err:
 static void __exit
 ppp_sync_cleanup(void)
 {
-	if (tty_register_ldisc(N_SYNC_PPP, NULL) != 0)
+	if (tty_unregister_ldisc(N_SYNC_PPP) != 0)
 		printk(KERN_ERR "failed to unregister Sync PPP line discipline\n");
 }
 
diff -puN drivers/net/slip.c~convert-users-to-tty_unregister_ldisc drivers/net/slip.c
--- 25/drivers/net/slip.c~convert-users-to-tty_unregister_ldisc	2005-06-15 14:42:37.000000000 -0700
+++ 25-akpm/drivers/net/slip.c	2005-06-15 14:42:37.000000000 -0700
@@ -1430,7 +1430,7 @@ static void __exit slip_exit(void)
 	kfree(slip_devs);
 	slip_devs = NULL;
 
-	if ((i = tty_register_ldisc(N_SLIP, NULL)))
+	if ((i = tty_unregister_ldisc(N_SLIP)))
 	{
 		printk(KERN_ERR "SLIP: can't unregister line discipline (err = %d)\n", i);
 	}
diff -puN drivers/net/wan/x25_asy.c~convert-users-to-tty_unregister_ldisc drivers/net/wan/x25_asy.c
--- 25/drivers/net/wan/x25_asy.c~convert-users-to-tty_unregister_ldisc	2005-06-15 14:42:37.000000000 -0700
+++ 25-akpm/drivers/net/wan/x25_asy.c	2005-06-15 14:42:37.000000000 -0700
@@ -829,7 +829,7 @@ static void __exit exit_x25_asy(void)
 	}
 
 	kfree(x25_asy_devs);
-	tty_register_ldisc(N_X25, NULL);
+	tty_unregister_ldisc(N_X25);
 }
 
 module_init(init_x25_asy);
diff -puN drivers/net/wireless/strip.c~convert-users-to-tty_unregister_ldisc drivers/net/wireless/strip.c
--- 25/drivers/net/wireless/strip.c~convert-users-to-tty_unregister_ldisc	2005-06-15 14:42:37.000000000 -0700
+++ 25-akpm/drivers/net/wireless/strip.c	2005-06-15 14:42:37.000000000 -0700
@@ -2828,7 +2828,7 @@ static void __exit strip_exit_driver(voi
 	/* Unregister with the /proc/net file here. */
 	proc_net_remove("strip");
 
-	if ((i = tty_register_ldisc(N_STRIP, NULL)))
+	if ((i = tty_unregister_ldisc(N_STRIP)))
 		printk(KERN_ERR "STRIP: can't unregister line discipline (err = %d)\n", i);
 
 	printk(signoff);
_
